Xanmod + Ubuntu 19.10: Incompatibilidade?

Eu estou utilizando o kernel 5.3.12 no meu Ubuntu.

Sempre funcionou bem, no entanto há algumas atualizações pra cá ocorre que por vezes, após eu logar, ficar apenas uma tela preta com o cursor de terminal piscando no início da tela. Somente reniciando e tentando de novo eu consigo entrar na interface.

Acontece que nas versões 5.4.x isso não ocorre (pelo menos não durante meus testes), no entanto fica com screen tearing e não consigo solucionar, conforme o seguinte tutorial que sempre utilizei:

Alguém consegue utilizar o kernel xanmod no Ubuntu com notebook híbrido? Se não, qual kernel utiliza no Ubuntu no momento?

Tenho um Dell G7, Nvidia gtx1050 ti, versão 440 (pop os)

Obs: Falta eu tentar fazer um downgrade pro 435 (que vem no ubuntu) e testar no xanmod 5.4.8. Mas como só chego a noite em casa então…

Cara, aqui eu tentei no meu e nao foi. Ai voltei pro padrao do Ubuntu 19.10 mesmo, que é o 5.3.0-24 e to usando o driver 440.40 e ta de boas.

1 Curtida

Valeu, meu caro.

Voltarei para o padrão mesmo. Mas não sei se estou enganado, o meu termina em 26. O que é estranho porque nunca atualizei manualmente. Voltaste uma versão anterior ou a tua mais atualizada é essa?

1 Curtida

Essa é a q ta no sistema mesmo.

1 Curtida

Eu não to usando o ubuntu esses tempos, mas até 2 semanas atras estava com ele, usando o xanmod 4.8.3 (se não me falha a memoria) e tava rodando de boa. O 5.3 parece que ta com algum problema de compatibilidade com placas da nvidia ainda

1 Curtida

Entendi. Vou testar.

De fato, com o xanmod o sistema chegava a responder alguns segundos mais rápido, no entanto as vezes a tela de lockscreen ficava cinza (sem renderizar direito) e o meu AVD nunca encerrava. Já ontem, apesar de levar alguns segundos, meu AVD encerrou. Como se o kernel genérico estivesse gerenciando melhor isso.

Vou testar a 4.5.8.

Obrigado!

Por algum milagre kkkkk o meu note ta show com o Ubuntu 19.10 (On-Demand) com o Xorg 1.20.5 e com o 5.4.10-xanmod6

1 Curtida

Caraca. Att o xorg manualmente??

Não tem essa versão, a menor é a 14 aqui mais ou menos. Vou testar a 4.20 que é a última antes do 5

william@Dell-G7:~$ sudo Xorg -version

X.Org X Server 1.20.5

aaaa desisto do xanmod kk

O Xanmod tem versões LTS e as outras. Só recomendo LTS. Uso a 4.19 LTS de boas. As outras, especialmente as RTs não foram muito bem.

1 Curtida

As LTS nao se saíram muito bem em notebooks híbridos mais novas (acima da serie GTX 900).

1 Curtida

O Xorg é esse mesmo kkkk o q eu atualizei foi o Kernel, q é o Xanmod heheh

1 Curtida

acabei de me tocar que eu testei com o driver 440 do pop os, vou regredir pro 435 do ubuntu e tentar novamente esta versão do xanmod (a noite quando eu chegar do trampo)